<?php
class AddedPluginFieldToImagesAndDocumentsAndAmendedLengthOfModelField extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'Added_plugin_field_to_images_and_documents_and_amended_length_of_model_field';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'documents' => array(
					'plugin' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'id'),
				),
				'images' => array(
					'plugin' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'id'),
				),
			),
			'alter_field' => array(
				'documents' => array(
					'model' => array('type' => 'string', 'null' => false, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
				'images' => array(
					'model' => array('type' => 'string', 'null' => false, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'documents' => array('plugin'),
				'images' => array('plugin'),
			),
			'alter_field' => array(
				'documents' => array(
					'model' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 64, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
				'images' => array(
					'model' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 64, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
